<template>
  <router-link :to="{ name: 'product', params: { product: this.product } }" class="col-xs-12 col-sm-12 col-md-6 col-lg-4 col-xl-3 q-px-xl q-my-lg">
    <div style="">
      <div class="relative-position">
        <div v-if="product" class="product">
          <q-img class="product-img" :src="'../statics/' + product.art.slug +  '/' + product.type.slug + '.png'"/>
          <p class="product-name"
          >{{ product.art.name }}</p>
        </div>
        <div class="avatar">
          <img class="avatar-icon"
               src="../../statics/ava.png"/>
          <p class="avatar-name"
          >{{ product.art.artist.name }}</p>
        </div>
        <div class="price">
          <p class="price-name">{{ product.price }} &#8381;</p>
        </div>
      </div>
    </div>
  </router-link>
</template>

<script>
export default {
  name: 'CatalogueCard',
  props: ['product'],
  created () {
  }
}
</script>

<style lang="sass" scoped>
.product
  &-name
    position: absolute
    bottom: 16px
    left: 16px
    margin: 0
    max-width: 75%
    color: #fff
    font-style: normal
    font-weight: 600
    font-size: 18px
    line-height: 22px
  &-img
    z-index: -1000
    &::after
      content: ''
      position: absolute
      z-index: 10
      bottom: 0
      left: 0
      right: 0
      height: 40%
      background: linear-gradient(180deg, rgba(29, 28, 28, 0) 1.56%, #1D1C1C 76.56%)
.avatar
  position: absolute
  top: 12px
  left: -20px
  display: flex
  align-items: center
  height: 30px
  & .avatar-icon
    height: 100%
    margin-left: 4px
  & .avatar-name
    margin: 0 12px 0 8px
    line-height: 15px
    font-size: 12px
    color: #fff
  &::before
    content: ''
    position: absolute
    z-index: -100
    background-color: black
    width: 100%
    height: 25px
    min-width: 50%
.price
  position: absolute
  bottom: 16px
  right: -24px
  display: flex
  align-items: center
  height: 44px
  background: linear-gradient(275.35deg, #8720D9 8.64%, #E10E5A 100%)
  &-name
    margin: 12px 16px
    bottom: 5px
    right: -25px
    color: #fff
    font-style: normal
    font-weight: bold
    font-size: 18px
    line-height: 22px
</style>
